This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

CreateDashboard

1 - 1.4

post /v1/dashboards

Description

Create dashboard

State ACTIVE (CURRENT)

VersionNot Before
1.4-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DashboardCreationRequest

Responses

HTTP CodeDescriptionSchema
201CreatedDashboardDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"

Request body

{
    "name": "New-Monitoring-Dashboard",
    "widgets": [
        {
            "height": 1,
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "resource_id",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

Example HTTP response

Response 201

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "resource_id",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2024-01-15T10:30:00.000Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "service_code": "virtualserver",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "resource_id",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

2 - 1.3

post /v1/dashboards

Description

Create dashboard

State ACTIVE (SUPPORTED)

VersionNot Before
1.320270131

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DashboardCreationRequest

Responses

HTTP CodeDescriptionSchema
201CreatedDashboardDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"

Request body

{
    "name": "New-Monitoring-Dashboard",
    "widgets": [
        {
            "height": 1,
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "resource_id",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

Example HTTP response

Response 201

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "resource_id",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2024-01-15T10:30:00.000Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "service_code": "virtualserver",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "resource_id",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

3 - 1.2

post /v1/dashboards

Description

Create dashboard

State ACTIVE (SUPPORTED)

VersionNot Before
1.220261130

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DashboardCreationRequest

Responses

HTTP CodeDescriptionSchema
201CreatedDashboardDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"

Request body

{
    "name": "New-Monitoring-Dashboard",
    "widgets": [
        {
            "height": 1,
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "resource_id",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

Example HTTP response

Response 201

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "resource_id",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2024-01-15T10:30:00.000Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "service_code": "virtualserver",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "resource_id",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

4 - 1.1

post /v1/dashboards

Description

Create dashboard

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260831

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DashboardCreationRequest

Responses

HTTP CodeDescriptionSchema
201CreatedDashboardDetailResponseV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Request body

{
    "name": "New-Monitoring-Dashboard",
    "widgets": [
        {
            "height": 1,
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "resource_id",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

Example HTTP response

Response 201

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "resource_id",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2024-01-15T10:30:00.000Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "service_code": "virtualserver",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "resource_id",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

5 - 1.0

post /v1/dashboards

Description

Create dashboard

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DashboardCreationRequest

Responses

HTTP CodeDescriptionSchema
201CreatedDashboardDetailResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Request body

{
    "name": "New-Monitoring-Dashboard",
    "widgets": [
        {
            "height": 1,
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "resource_id",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}

Example HTTP response

Response 201

{
    "alerts": {
        "summary": {
            "high": 1,
            "low": 0,
            "medium": 3
        },
        "widgets": [
            {
                "properties": {
                    "metrics": [
                        {
                            "alerts": [
                                {
                                    "id": "",
                                    "name": ""
                                }
                            ],
                            "color": "#ff7f0e",
                            "dimensions": [
                                {
                                    "key": "resource_id",
                                    "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                                }
                            ],
                            "display_name": "EC2-Prod-CPU",
                            "individual_items": [
                                {
                                    "key": "BucketId",
                                    "value": "b-1234567890abcdef0"
                                }
                            ],
                            "name": "CPUUtilization",
                            "namespace_name": "Virtual Server",
                            "period": 300,
                            "statistic_type": "AVG"
                        }
                    ],
                    "period": 300,
                    "stacked": false,
                    "statistic_type": "AVG",
                    "title": "Virtual Server | CPU Utilization",
                    "view": "line"
                }
            }
        ]
    },
    "created_at": "2024-01-15T10:30:00.000Z",
    "created_by": "user-xxxxxxxx",
    "favorite_enabled": true,
    "id": "b48e730a70e74f6aa3d2555000b5c22b",
    "modified_at": "",
    "modified_by": "user-yyyyyyyy",
    "name": "Production-Web-Servers",
    "product_name": "ServiceWatch",
    "resource_id": "c8e41e595ad040a8abe57e2ffc109113",
    "resource_name": "Production-Web-Servers",
    "resource_type": "dashboard",
    "share_type": "Private",
    "srn": "srn:vs:kr-central-1:123456789012:instance/c8e41e595ad040a8abe57e2ffc109113",
    "type": "Custom",
    "widgets": [
        {
            "dashboard_id": "b48e730a70e74f6aa3d2555000b5c22b",
            "height": 1,
            "id": "75da70a1a4fb486ab0282cf90693ec3c",
            "order": 1,
            "properties": {
                "metrics": [
                    {
                        "color": "#ff7f0e",
                        "dimensions": [
                            {
                                "key": "resource_id",
                                "value": "10bf5d24-0f20-4066-bb0b-de2b1d6ff502"
                            }
                        ],
                        "display_name": "EC2-Prod-CPU",
                        "individual_items": [
                            {
                                "key": "BucketId",
                                "value": "b-1234567890abcdef0"
                            }
                        ],
                        "name": "CPUUtilization",
                        "namespace_name": "Virtual Server",
                        "period": 300,
                        "statistic_type": "AVG"
                    }
                ],
                "period": 300,
                "stacked": false,
                "statistic_type": "AVG",
                "title": "Virtual Server | CPU Utilization",
                "view": "line"
            },
            "type": "metric",
            "width": 1
        }
    ]
}